Get Platform Health Status

Get Platform Health Status
Retrieve high-level installer health status for the platform

Returns the overall high-level health state of the platform deployment as perceived by the installer.

Notes:

  • This is an installer-centric view of health. For detailed, granular cluster health metrics, use the ssp/cluster/monitor/platform/status API from the corresponding Platform instead.
Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms/{platform-id}/health
COPY
Path Parameters
string
platform-id
Required

A globally unique UUID representing the platform.

platform-id example
434348d8-681e-4809-8dc1-427127d2bee7

Authentication
This operation uses the following authentication methods.
Responses
200

Platform health status.

Returns PlatformHealthStatus of type(s) application/json
{
    "kubernetes_version": "string",
    "security_service_platform_version": "string",
    "overall_status": "string",
    "overall_health": "string",
    "installer_status": "string",
    "platform_status": "string",
    "installer_fqdn": {
        "name": "string",
        "state": "string",
        "ip": "string"
    },
    "ingress_fqdn": {
        "name": "string",
        "state": "string",
        "ip": "string"
    },
    "kafka_fqdn": {
        "name": "string",
        "state": "string",
        "ip": "string"
    },
    "management_nodes": [
        {
            "name": "string",
            "internal_ip": "string",
            "used_cpu": "number",
            "used_disk": "number",
            "used_memory": "number",
            "allocated_cpu": "number",
            "allocated_disk": "number",
            "allocated_memory": "number",
            "system_info": {
                "machine_id": "string",
                "system_uuid": "string",
                "boot_id": "string",
                "kernel_version": "string",
                "os_image": "string",
                "container_runtime_version": "string",
                "kubelet_version": "string",
                "kubeproxy_version": "string",
                "operating_system": "string",
                "architecture": "string"
            },
            "ready": "string",
            "is_control_plane": false
        }
    ],
    "workload_nodes": [
        {
            "name": "string",
            "internal_ip": "string",
            "used_cpu": "number",
            "used_disk": "number",
            "used_memory": "number",
            "allocated_cpu": "number",
            "allocated_disk": "number",
            "allocated_memory": "number",
            "system_info": {
                "machine_id": "string",
                "system_uuid": "string",
                "boot_id": "string",
                "kernel_version": "string",
                "os_image": "string",
                "container_runtime_version": "string",
                "kubelet_version": "string",
                "kubeproxy_version": "string",
                "operating_system": "string",
                "architecture": "string"
            },
            "ready": "string",
            "is_control_plane": false
        }
    ],
    "creation_time": 0,
    "modified_time": 0,
    "management_namespace_status": [
        {
            "name": "string",
            "phase": "string",
            "pod_status": [
                {
                    "name": "string",
                    "phase": "string",
                    "pod_ip": "string",
                    "status": "string",
                    "status_message": "string"
                }
            ],
            "service_status": [
                {
                    "name": "string",
                    "cluster_ip": "string",
                    "external_ips": [
                        "string"
                    ]
                }
            ]
        }
    ],
    "workload_namespace_status": [
        {
            "name": "string",
            "phase": "string",
            "pod_status": [
                {
                    "name": "string",
                    "phase": "string",
                    "pod_ip": "string",
                    "status": "string",
                    "status_message": "string"
                }
            ],
            "service_status": [
                {
                    "name": "string",
                    "cluster_ip": "string",
                    "external_ips": [
                        "string"
                    ]
                }
            ]
        }
    ],
    "storage_class": [
        {
            "name": "string",
            "provisioner": "string",
            "parameters": [
                {
                    "name": "string",
                    "value": "string"
                }
            ]
        }
    ],
    "vsphere_vms": [
        {
            "name": "string",
            "datacenter": "string",
            "datastore": "string",
            "disk": 0,
            "folder": "string",
            "memory": 0,
            "resource_pool": "string",
            "server": "string",
            "storage_policy": "string",
            "template": "string",
            "thumbprint": "string",
            "status": {
                "status": "string",
                "reason": "string",
                "message": "string"
            },
            "network": {
                "devices": [
                    {
                        "network_name": "string",
                        "nameservers": [
                            "string"
                        ],
                        "addresses_from_pools": [
                            {
                                "api_group": "string",
                                "kind": "string",
                                "name": "string"
                            }
                        ]
                    }
                ]
            }
        }
    ],
    "clusters": [
        {
            "name": "string",
            "controlplane_endpoint": {
                "host": "string",
                "port": 0
            },
            "status": {
                "status": "string",
                "reason": "string",
                "message": "string"
            }
        }
    ],
    "installer_version": "string",
    "vcenter_version": "string"
}
string
kubernetes_version
Read-Only

The Kubernetes version hosted by the Security Service Platform.

string
security_service_platform_version
Read-Only

The Security Service Platform version.

string
overall_status
Optional

Enum for the overall platform status.

Enumeration: INITIALIZED, DEPLOYING, DEPLOYED, ERROR, UNDEPLOYING
string
overall_health
Optional

The overall health status of the Platform and Installer.

Enumeration: HEALTHY, UNHEALTHY
string
installer_status
Optional

Enum for the overall platform status.

Enumeration: INITIALIZED, DEPLOYING, DEPLOYED, ERROR, UNDEPLOYING
string
platform_status
Optional

Enum for the overall platform status.

Enumeration: INITIALIZED, DEPLOYING, DEPLOYED, ERROR, UNDEPLOYING
object
installer_fqdn
Optional

The FQDN of the Platform Ingress.

object
ingress_fqdn
Optional

The FQDN of the Platform Ingress.

object
kafka_fqdn
Optional

The FQDN of the Platform Ingress.

array of object
management_nodes
Optional

The health of the management cluster nodes.

array of object
workload_nodes
Optional

The health of the workload cluster nodes.

integer As int64 As int64
creation_time
Optional

Timestamp in milliseconds since epoch.

integer As int64 As int64
modified_time
Optional

Timestamp in milliseconds since epoch.

array of object
management_namespace_status
Optional

The status of critical resources in the management cluster, organized by namespace.

array of object
workload_namespace_status
Optional

The status of critical resources in the workload cluster, organized by namespace.

array of object
storage_class
Optional

The storage class of the workload cluster.

array of object
vsphere_vms
Optional

The status of the vSphere VMs.

array of object
clusters
Optional

The status of the clusters.

string
installer_version
Read-Only

The version of the Security Service Platform Installer.

string
vcenter_version
Read-Only

The version of the vCenter.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms/{platform-id}/health